<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$activo = remove_junk($db->escape($_POST['activo']));
	$propietario = remove_junk($db->escape($_POST['propietario']));
    $nombre = remove_junk($db->escape($_POST['nombre']));
    $marca = remove_junk($db->escape($_POST['marca']));
    $modelo = remove_junk($db->escape($_POST['modelo']));
    $traccion = remove_junk($db->escape($_POST['traccion']));
    $sal_hidraulica = remove_junk($db->escape($_POST['sal_hidraulica']));
    $cap_levante = remove_junk($db->escape($_POST['cap_levante']));
    $cap_freno = remove_junk($db->escape($_POST['cap_freno']));
    $placa = remove_junk($db->escape($_POST['placa']));
    $color = remove_junk($db->escape($_POST['color']));
    $potencia = remove_junk($db->escape($_POST['potencia']));
    $cilindro = remove_junk($db->escape($_POST['cilindro']));
    $cod_patrimonial = remove_junk($db->escape($_POST['cod_patrimonial']));
    $combustible = remove_junk($db->escape($_POST['combustible']));
    $dim_llanta = remove_junk($db->escape($_POST['dim_llanta']));
    $peso = remove_junk($db->escape($_POST['peso']));
    $tamaño = remove_junk($db->escape($_POST['tamaño']));
    $anio_produccion = remove_junk($db->escape($_POST['anio_produccion']));
    $anio_compra = remove_junk($db->escape($_POST['anio_compra']));
    $pre_compra = remove_junk($db->escape($_POST['pre_compra']));
    $accesorio = remove_junk($db->escape($_POST['accesorio']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $estado = remove_junk($db->escape($_POST['estado']));
    $observacion = remove_junk($db->escape($_POST['observacion']));
    $trasmision = remove_junk($db->escape($_POST['trasmision']));
    $motor = remove_junk($db->escape($_POST['motor']));
    $voltaje = remove_junk($db->escape($_POST['voltaje']));
    $generador = remove_junk($db->escape($_POST['generador']));
    $corriente = remove_junk($db->escape($_POST['corriente']));
    $chasis = remove_junk($db->escape($_POST['chasis']));
    $costo = remove_junk($db->escape($_POST['costo']));
    $compra = remove_junk($db->escape($_POST['compra']));
    $capacidad = remove_junk($db->escape($_POST['capacidad']));
    $t_activo = remove_junk($db->escape($_POST['t_activo']));
   
   
   

    



 
    $query ="UPDATE activo SET NombreActivo='$nombre',CodigoPatrimonialActivo='$cod_patrimonial',MarcaActivo='$marca',ModeloActivo='$modelo',PlacaActivo='$placa',ColorActivo='$color',PotenciaActivo='$potencia',CilindroActivo='$cilindro',SalidaHidraulicaActivo='$sal_hidraulica',CapacidadLevanteActivo='$cap_levante',CapacidadFrenoActivo='$cap_freno',DimencionLlantaActivo='$dim_llanta',PesoActivo='$peso',TamañoActivo='$tamaño',AccesoriosActivo='$accesorio',AñoProduccionActivo='$anio_produccion',AñoCompraActivo='$anio_compra',PrecioCompraActivo='$pre_compra',IdCombustible='$combustible',IdResponsableActivo='$responsable',IdTipoActivo='$t_activo',ObservacionesActivo='$observacion',TrasmisionActivoVehiculo='$trasmision',VoltajeActivoEquipo='$voltaje',CorrienteActivoEquipo='$corriente',GeneradorActivoEquipo='$generador',EstadoActivoMI='$estado',TraccionActivo='$traccion',CostoHoraActivo='$costo',SerieChasisMaquinaria='$chasis',SerieMotorActivoVehiculo='$motor',FechaCompraActivo='$compra',CapacidadActivo='$capacidad',IdCliente='$propietario' WHERE id = $activo";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 


